Select the file descriptions which are ready to read/write or error in the eventloop

- « swoole_load_module

- swoole_set_process_name »

- PHP Manual
- Swoole Functions
- Select the file descriptions which are ready to read/write or error in the eventloop

# swoole_select

(PECL swoole >= 1.9.0)

swoole_select — Select the file descriptions which are ready to read/write or error in the eventloop

### Description

swoole_select(
array `&$read_array`,
array `&$write_array`,
array `&$error_array`,
float `$timeout` = ?
): int

### Parameters

`read_array`

`write_array`

`error_array`

`timeout`

### Return Values